]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 368fa0b7b07b4a1e0ea1559fa7704f966a762af1..6a26b0486cc2d865355c9d1c21e78d14e8050af8 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
@@ -52,9 +52,9 @@ if installed X; then
          }'
     # Xresources uses ! as comment instead of #.
     sed_i 's/^#/!/' Xresources
-    # Use urxvt's pseudo-transparency if compton is not available. Better than
-    # nothing.
-    if ! installed compton; then
+    # Use urxvt's pseudo-transparency if neither compton nor xcompmgr are
+    # available. Better than nothing.
+    if ! installed compton && ! installed xcompmgr; then
         echo 'Xresources: no compton found, enabling pseudo-transparency'
         sed_i 's/^Rxvt\*background/!&/' Xresources
         sed_i 's/^!NO_COMPTON //' Xresources